Subject: bug#61667: 29.0.60; Failure to redisplay

From: Dmitry Gutov <[email-masked]>
Date: Thu, 2 Mar 2023 15:39:20 +0200

On 02/03/2023 11:30, Gregory Heytings wrote:
> 
>>> So... in both problematic cases is seems like there is a 
>>> show_back_buffer call right after x_set_title, and yet it does not 
>>> reflect on screen. Right?
>>
>> Yes.
>>
> 
> How can you draw such a conclusion without knowing what the back buffer 
> contains?  The fact that show_back_buffer is called doesn't imply that 
> it contains what Dmitry expects to see, namely the contents of the 
> xassociations.rb file.

The problem here is that there is no subsequent show_back_buffer call 
which corresponds to the "correct" frame contents. But the correct 
contents do get displayed (albeit with delay).

The only next (last) one is me pressing "C-x" in "C-x C-c", I think.